Package org.apache.sling.scripting.javascript.helper

# Class SlingWrapFactory

java.lang.Object
org.mozilla.javascript.WrapFactory
org.apache.sling.scripting.javascript.helper.SlingWrapFactory

public class SlingWrapFactory extends org.mozilla.javascript.WrapFactory

## Constructor Summary

Constructors
Constructor
Description
`SlingWrapFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerWrapper(Class<?> javaClass, String hostObjectName)`
`void`
`unregisterWrapper(Class<?> javaClass)`
`org.mozilla.javascript.Scriptable`
`wrapAsJavaObject(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType)`

### Methods inherited from class org.mozilla.javascript.WrapFactory

`isJavaPrimitiveWrap, setJavaPrimitiveWrap, wrap, wrapJavaClass, wrapNewObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingWrapFactory

public SlingWrapFactory()

## Method Details

### wrapAsJavaObject

public org.mozilla.javascript.Scriptable wrapAsJavaObject(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType)

Overrides:
  `wrapAsJavaObject` in class `org.mozilla.javascript.WrapFactory`
Parameters:
  `cx` - the current Context for this thread
  `scope` - the scope of the executing script
  `javaObject` - the object to be wrapped
  `staticType` - type hint. If security restrictions prevent to wrap object based on its class, staticType will be used instead.
Returns:
  the wrapped value which shall not be null

### registerWrapper

public void registerWrapper(Class<?> javaClass, String hostObjectName)

### unregisterWrapper

public void unregisterWrapper(Class<?> javaClass)